API Reference
Filings
Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Query Parameters
symbols?array<string>|null
forms?array<string>|null
start_date?string|null
end_date?string|null
updated_after?|
ISO datetime; filters accessed_at (GAP: no updated_at)
cursor?string|null
limit?integer|null
Response Body
application/json
application/problem+json
application/json
application/problem+json
curl -X GET "https://example.com/v1/filings"{ "data": [ { "id": 741221, "ticker": "UBER", "form": "10-Q", "accession": "0001543151-26-000012", "filed_at": "2026-05-07T00:00:00+00:00", "accepted_at": "2026-05-07T20:08:03+00:00", "period_of_report": "2026-03-31", "title": "10-Q filed 2026-05-07 by Uber Technologies, Inc.", "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000012/uber-20260331x10q.htm", "event_id": 51791, "doc_group": "filing", "provenance": { "src_id": "src_filings_91d15ee7c3c010bb", "source_provider": "sec", "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000012/uber-20260331x10q.htm", "accession": "0001543151-26-000012", "quote": null, "content_hash": null, "extracted_at": null } } ], "pagination": { "next_cursor": null, "has_more": false }}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "detail": [ { "type": "string_too_short", "loc": [ "body", "query" ], "msg": "String should have at least 2 characters", "input": "q", "ctx": { "min_length": 2 } } ]}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Path Parameters
accession*Accession
Response Body
application/json
application/problem+json
application/json
application/problem+json
curl -X GET "https://example.com/v1/filings/string"{ "id": 741221, "ticker": "UBER", "form": "10-Q", "accession": "0001543151-26-000012", "filed_at": "2026-05-07T00:00:00+00:00", "accepted_at": "2026-05-07T20:08:03+00:00", "period_of_report": "2026-03-31", "title": "10-Q filed 2026-05-07 by Uber Technologies, Inc.", "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000012/uber-20260331x10q.htm", "event_id": 51791, "doc_group": "filing", "provenance": { "src_id": "src_filings_91d15ee7c3c010bb", "source_provider": "sec", "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000012/uber-20260331x10q.htm", "accession": "0001543151-26-000012", "quote": null, "content_hash": null, "extracted_at": null }, "sections": [], "sections_available": false}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "detail": [ { "type": "string_too_short", "loc": [ "body", "query" ], "msg": "String should have at least 2 characters", "input": "q", "ctx": { "min_length": 2 } } ]}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Path Parameters
accession*Accession
Response Body
application/json
application/problem+json
application/json
application/problem+json
curl -X GET "https://example.com/v1/filings/string/exhibits"{ "accession": "0001543151-26-000012", "ticker": "UBER", "exhibits": [ { "accession": "0001543151-26-000012", "ticker": "UBER", "exhibit_type": "EX-99.1", "published_at": "2026-05-07T00:00:00+00:00", "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000012/ex99-1.htm", "text": "Gross Bookings grew to $44.8 billion, up 18% year over year. Revenue reached $10.43 billion.", "provenance": { "src_id": "src_filings_815324e907f75dc2", "source_provider": "sec", "source_url": "https://www.sec.gov/Archives/edgar/data/1543151/000154315126000012/ex99-1.htm", "accession": "0001543151-26-000012", "quote": null, "content_hash": null, "extracted_at": null } } ], "exhibits_note": "only mirrored earnings-release exhibits (Ex-99.1/99.2)"}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "detail": [ { "type": "string_too_short", "loc": [ "body", "query" ], "msg": "String should have at least 2 characters", "input": "q", "ctx": { "min_length": 2 } } ]}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}